package oop.Generics;

import java.util.*;

public class RawType{

	public static void main(String[] args) {
		ArrayList<Integer> t = new ArrayList<>();
		t.add(22);
		t.add(12);
		t.add(123);
		
		ArrayList<String> t2 = new ArrayList<>();
		t2.add("dd");
		add(t2);
	}
	
	public static <T extends Number> void add(ArrayList<?> list) {
		for (Object o : list)
			System.out.println(o.toString());
		
	}

}

